org.jgrapht.graph

## Class ClassBasedVertexFactory<V>

- java.lang.Object
- - org.jgrapht.graph.ClassBasedVertexFactory<V>

- All Implemented Interfaces:
    VertexFactory<V>

      public class ClassBasedVertexFactory<V>
      extends Object
      implements VertexFactory<V>

  A `VertexFactory` for producing vertices by using a class as a factory.
  Since:
    July 5, 2007
  Author:
    Guillaume Boulmier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassBasedVertexFactory(Class<? extends V> vertexClass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `V` | `createVertex()` Creates a new vertex.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassBasedVertexFactory

          public ClassBasedVertexFactory(Class<? extends V> vertexClass)

  - ### Method Detail

    - #### createVertex

          public V createVertex()

      Description copied from interface: `VertexFactory`
      Creates a new vertex.
      Specified by:
        `createVertex` in interface `VertexFactory<V>`
      Returns:
        the new vertex
      See Also:
        `VertexFactory.createVertex()`

Copyright © 2016. All rights reserved.